com.opensymphony.xwork2.security

## Interface ExcludedPatternsChecker

- All Known Subinterfaces:
    NotExcludedAcceptedPatternsChecker
  All Known Implementing Classes:
    DefaultExcludedPatternsChecker, DefaultNotExcludedAcceptedPatternsChecker

      public interface ExcludedPatternsChecker

  Used across different interceptors to check if given string matches one of the excluded patterns.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ExcludedPatternsChecker.IsExcluded`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Pattern>` | `getExcludedPatterns()` Allow access list of all defined excluded patterns
    `ExcludedPatternsChecker.IsExcluded` | `isExcluded(String value)` Checks if value matches any of patterns on exclude list
    `void` | `setExcludedPatterns(Set<String> patterns)` Sets excluded patterns during runtime
    `void` | `setExcludedPatterns(String commaDelimitedPatterns)` Sets excluded patterns during runtime
    `void` | `setExcludedPatterns(String[] patterns)` Sets excluded patterns during runtime

- - ### Method Detail

    - #### isExcluded

          ExcludedPatternsChecker.IsExcluded isExcluded(String value)

      Checks if value matches any of patterns on exclude list
      Parameters:
        `value` - to check
      Returns:
        object containing result of matched pattern and pattern itself

    - #### setExcludedPatterns

          void setExcludedPatterns(String commaDelimitedPatterns)

      Sets excluded patterns during runtime
      Parameters:
        `commaDelimitedPatterns` - comma delimited string with patterns

    - #### setExcludedPatterns

          void setExcludedPatterns(String[] patterns)

      Sets excluded patterns during runtime
      Parameters:
        `patterns` - array of additional excluded patterns

    - #### setExcludedPatterns

          void setExcludedPatterns(Set<String> patterns)

      Sets excluded patterns during runtime
      Parameters:
        `patterns` - set of additional patterns

    - #### getExcludedPatterns

          Set<Pattern> getExcludedPatterns()

      Allow access list of all defined excluded patterns
      Returns:
        set of excluded patterns

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.